PHP Manual
Prev |  | Next

# DOMDocument->schemaValidateSource()

(no version information, might be only in CVS)

DOMDocument->schemaValidateSource() -- Validates a document based on a schema

## Description

class DOMDocument {
bool schemaValidateSource ( string source )
}

Validates a document based on a schema defined in the given string.

## Parameters

source

  A string containing the schema.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

DOMDocument->schemaValidate()
DOMDocument->relaxNGValidate()
DOMDocument->relaxNGValidateSource()
DOMDocument->validate()

Prev | Home | Next
DOMDocument->schemaValidate() | Up | DOMDocument->validate()